package com.ibm.crl.jvmtest;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.StringReader;

import javax.xml.parsers.DocumentBuilderFactory;

import org.apache.xpath.XPathAPI;
import org.eclipse.core.runtime.IPlatformRunnable;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.xml.sax.InputSource;

public class XalanApplication implements IPlatformRunnable {

	String pidf = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>                    "
			+ "    <presence entity=\"sip:fantongx@9.45.89.88\" >                "
			+ "      <ep:person xmlns:ep=\"urn:ietf:params:xml:ns:pidf:person\"> "
			+ "        <status>                                                  "
			+ "	         <basic>open</basic>                                     "
			+ "	       </status>                                                 "
			+ "	     </ep:person>                                                "
			+ "    </presence>";

	public Object run(Object args) throws Exception {
		FileInputStream fis = null;
		try {
			StringReader reader = new StringReader(pidf);
			InputSource in = new InputSource(reader);
			DocumentBuilderFactory factory = DocumentBuilderFactory
					.newInstance();
			factory.setNamespaceAware(false);
			Document doc = factory.newDocumentBuilder().parse(in);
			Node node = XPathAPI.selectSingleNode(doc, "/presence");
			System.out.println(node.getAttributes().getNamedItem("entity")
					.getNodeValue());
		} catch (Throwable e) {
			e.printStackTrace();
		} finally {
			if (fis != null) {
				try {
					fis.close();
				} catch (IOException e) {
				}
			}
		}
		return EXIT_OK;
	}

	public static void main(String[] args) {
		try {
			new XalanApplication().run(null);
		} catch (Throwable e) {
			e.printStackTrace();
		}
	}
}
